global gFile, gCodePath, gCPU, gfileSep, gCDpath, gHDpath, gCDName, gXOBJPath, gStartupMovie, gLimitPreLoad

on startMovie
  setMovieFrame()
  InitIntro()
  set gLimitPreLoad to 1
  set gCodePath to gCDpath & "CODE" & gfileSep
  set gStartupMovie to gCodePath & "INTRO"
  InitalizePaths()
end

on setMovieFrame
  if the machineType = 256 then
    go("PC")
  else
    go("mac")
  end if
end

on InitalizePaths
  if the machineType = 256 then
    set gCPU to #MPC
    set gfileSep to "\"
    if voidp(gHDpath) then
      set gHDpath to "C:\chaos\"
    end if
    set gCDName to gCDpath
    set gXOBJPath to gCDName & "XOBJs\"
  else
    set gCPU to #MAC
    set gfileSep to ":"
    set gHDpath to the pathName
    set gCDName to "Chaos:"
    set gXOBJPath to gCDName & "XOBJMAC:"
    if the colorDepth = 16 then
      set the colorDepth to 8
      set the colorDepth to 16
      if the colorDepth <> 16 then
        put "16-bit switch problem!"
      end if
    end if
  end if
end

on InitIntro
  if the machineType = 256 then
    set gCPU to #MPC
    set gfileSep to "\"
    openXLib(the pathName & "fileio.dll")
    set PathList to ["C:\", "D:\", "E:\", "F:\", "G:\", "H:\", "I:\", "J:\", "K:\", "L:\", "M:\", "N:\", "O:\", "P:\", "Q:\", "R:\", "S:\", "T:\", "U:\", "V:\", "W:\", "X:\", "Y:\", "Z:\", "EOL"]
    repeat with nextDrive in PathList
      set gCDpath to nextDrive
      set diskFound to ReadCDTestFile()
      put diskFound && "Reading from disk:" && gCDpath
      if diskFound then
        exit
      end if
      if gCDpath = "EOL" then
        CantFindCD()
      end if
    end repeat
  else
    set cpu to #MAC
    set gfileSep to ":"
    set gCDpath to "Chaos:"
    set diskFound to ReadCDTestFile()
    if not diskFound then
      CantFindCD()
    end if
  end if
end

on ReadCDTestFile
  put "READ CD ROUTINE"
  if objectp(gFile) then
    gFile(mdispose)
  end if
  set TestPath to gCDpath & "CDFINDER.TXT"
  set gFile to FileIO(mnew, "read", TestPath)
  if not objectp(gFile) then
    put "NOT found"
    return 0
  else
    gFile(mdispose)
    put "Found!"
    return 1
  end if
end

on CantFindCD
  if the machineType = 256 then
    alert("You don't seem to have the Chaos CD-ROM loaded!  Please make sure the CD is in the drive." & RETURN & RETURN & "Then restart the application.")
  else
    alert("You don't seem to have the Chaos CD-ROM loaded!  Please make sure the CD is in the drive and that the" && QUOTE & "Chaos" & QUOTE && "icon appears on the desktop." & RETURN & RETURN & "Then restart the application.")
  end if
  halt()
end
